# Windows UI Dev Labs
Welcome to the Windows UI Dev Labs repository for the latest code samples, demos, and developer feedback for building beautiful and engaging Universal Windows Platform apps using Windows UI.

The code samples and demos are targeted for developers who are interested in experimenting, building, and providing feedback on the latest flighting Windows UI APIs. 

We are focused on creating a place where we can experiment, inpsire, and receive developer feedback on:
- Flighting APIs for Windows UI
- Testing out new UX patterns
- Early reference implementations and prototypes
- Inspiring demonstrations of the Windows UI API  

If you are a developer getting familiar with the [Windows.UI.Xaml](https://msdn.microsoft.com/en-us/library/windows/apps/windows.ui.xaml.aspx) and [Windows.UI.Composition](https://msdn.microsoft.com/en-us/library/windows/apps/windows.ui.composition.aspx) APIs, want to build beautiful UI experiences, and don't mind a few bugs here and there; then, this is the place for you. 

We also want to see what inspiring UX you're building and you can reach out to us on Twitter [@WindowsUI](https://twitter.com/windowsui).

We're excited to see what you can you make with Windows UI.

## Project Structure
The following outlines the key folders for the project.

### Demos
The Demos folder contains standalone code demos that are focused on combining many concepts and feature sets in the Windows UI space to demonstrate interesting user experience. The code is to help inspire and prototype novel and engaging user experiences.

### Sample Gallery
The Sample Gallery is an application itself that contains code examples of flighting various Windows UI APIs. The Sample Gallery uses conditional compilation to only compile the code samples that are available in your target SDK.

By default the Sample Gallery is set to the last major platform release, however, you can retarget the Sample Gallery project file to the latest SDK that you have installed to see more samples light up.

### Samples Common
These are early reference implementations, prototypes, and utilties the team has built over the course of developing our demos and code examples. These are code examples of common code that's shared across code samples and demos.

## Developing and Building with Windows UI
These samples require Visual Studio 2015 and the Windows Software Development Kit (SDK) for Windows 10 to build, test, and deploy your Universal Windows apps. 

[Get a free copy of Visual Studio 2015 Community Edition with support for building Universal Windows apps](http://go.microsoft.com/fwlink/?LinkID=280676)

Additionally, to stay on top of the latest updates to Windows and the development tools, become a Windows Insider by joining the Windows Insider Program.

[Become a Windows Insider](https://insider.windows.com/)

We will be frequently iterating and updating code samples in this repository, so it's recommended you become an Insider, follow us on Twitter for the latest updates, and provide feedback in the Issue section. 



